package com.gic.plug.web.vo;
import java.util.List;
/**
 * 门店
 * @ClassName: StoreResourceVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:44 AM 
 */
public class StoreResourceVO {
    private String searchJson;
    /**
     * 后端需要的条件筛选数据
     */
    private String searchParam;

    /**
     * 现在弃用
     */
    private String writeBackParam;

    /**
     * 后端需要的权限筛选数据
     */
    private String authSearchParam;

    private Integer authMode;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenDetailData;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenSimpleData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenDetailData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenSimpleData;

    private List<ScreenBackVO> sceenBack;

    public String getSearchJson() {
        return searchJson;
    }

    public StoreResourceVO setSearchJson(String searchJson) {
        this.searchJson = searchJson;
        return this;
    }

    public String getSearchParam() {
        return searchParam;
    }

    public StoreResourceVO setSearchParam(String searchParam) {
        this.searchParam = searchParam;
        return this;
    }

    public String getWriteBackParam() {
        return writeBackParam;
    }

    public StoreResourceVO setWriteBackParam(String writeBackParam) {
        this.writeBackParam = writeBackParam;
        return this;
    }

    public String getAuthSearchParam() {
        return authSearchParam;
    }

    public StoreResourceVO setAuthSearchParam(String authSearchParam) {
        this.authSearchParam = authSearchParam;
        return this;
    }

    public Integer getAuthMode() {
        return authMode;
    }

    public StoreResourceVO setAuthMode(Integer authMode) {
        this.authMode = authMode;
        return this;
    }

    public String getScreenDetailData() {
        return screenDetailData;
    }

    public StoreResourceVO setScreenDetailData(String screenDetailData) {
        this.screenDetailData = screenDetailData;
        return this;
    }

    public String getScreenSimpleData() {
        return screenSimpleData;
    }

    public StoreResourceVO setScreenSimpleData(String screenSimpleData) {
        this.screenSimpleData = screenSimpleData;
        return this;
    }

    public String getAuthScreenDetailData() {
        return authScreenDetailData;
    }

    public StoreResourceVO setAuthScreenDetailData(String authScreenDetailData) {
        this.authScreenDetailData = authScreenDetailData;
        return this;
    }

    public String getAuthScreenSimpleData() {
        return authScreenSimpleData;
    }

    public StoreResourceVO setAuthScreenSimpleData(String authScreenSimpleData) {
        this.authScreenSimpleData = authScreenSimpleData;
        return this;
    }

    public List<ScreenBackVO> getSceenBack() {
        return sceenBack;
    }

    public StoreResourceVO setSceenBack(List<ScreenBackVO> sceenBack) {
        this.sceenBack = sceenBack;
        return this;
    }

    @Override
    public String toString() {
        return "StoreResourceVO{" +
                "searchJson='" + searchJson + '\'' +
                ", searchParam='" + searchParam + '\'' +
                ", writeBackParam='" + writeBackParam + '\'' +
                ", authSearchParam='" + authSearchParam + '\'' +
                ", authMode=" + authMode +
                ", screenDetailData='" + screenDetailData + '\'' +
                ", screenSimpleData='" + screenSimpleData + '\'' +
                ", authScreenDetailData='" + authScreenDetailData + '\'' +
                ", authScreenSimpleData='" + authScreenSimpleData + '\'' +
                ", sceenBack=" + sceenBack +
                '}';
    }
}
