package com.gic.plug.web.vo;

import java.io.Serializable;
import java.util.List;
/**
 * 商品
 * @ClassName: StoreWidgetVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:45 AM 
 */
public class StoreWidgetVO implements Serializable {
    /**
     * 
     */
    private Integer storeWidgetId;

    /**
     * 
     */
    private String searchParam;

    /**
     * 
     */
    private String writeBackParam;

    private String authSearchParam;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenDetailData;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenSimpleData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenDetailData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenSimpleData;

    private Integer authMode = 1;
    private List<ScreenBackVO> screenBack;

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public void setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
    }

    public String getSearchParam() {
        return searchParam;
    }

    public void setSearchParam(String searchParam) {
        this.searchParam = searchParam;
    }

    public String getWriteBackParam() {
        return writeBackParam;
    }

    public void setWriteBackParam(String writeBackParam) {
        this.writeBackParam = writeBackParam;
    }

    public String getAuthSearchParam() {
        return authSearchParam;
    }

    public void setAuthSearchParam(String authSearchParam) {
        this.authSearchParam = authSearchParam;
    }

    public Integer getAuthMode() {
        return authMode;
    }

    public void setAuthMode(Integer authMode) {
        this.authMode = authMode;
    }

    public List<ScreenBackVO> getScreenBack() {
        return screenBack;
    }

    public void setScreenBack(List<ScreenBackVO> screenBack) {
        this.screenBack = screenBack;
    }

    public String getScreenDetailData() {
        return screenDetailData;
    }

    public StoreWidgetVO setScreenDetailData(String screenDetailData) {
        this.screenDetailData = screenDetailData;
        return this;
    }

    public String getScreenSimpleData() {
        return screenSimpleData;
    }

    public StoreWidgetVO setScreenSimpleData(String screenSimpleData) {
        this.screenSimpleData = screenSimpleData;
        return this;
    }

    public String getAuthScreenDetailData() {
        return authScreenDetailData;
    }

    public StoreWidgetVO setAuthScreenDetailData(String authScreenDetailData) {
        this.authScreenDetailData = authScreenDetailData;
        return this;
    }

    public String getAuthScreenSimpleData() {
        return authScreenSimpleData;
    }

    public StoreWidgetVO setAuthScreenSimpleData(String authScreenSimpleData) {
        this.authScreenSimpleData = authScreenSimpleData;
        return this;
    }

    @Override
    public String toString() {
        return "StoreWidgetVO{" +
                "storeWidgetId=" + storeWidgetId +
                ", searchParam='" + searchParam + '\'' +
                ", writeBackParam='" + writeBackParam + '\'' +
                ", authSearchParam='" + authSearchParam + '\'' +
                ", screenDetailData='" + screenDetailData + '\'' +
                ", screenSimpleData='" + screenSimpleData + '\'' +
                ", authScreenDetailData='" + authScreenDetailData + '\'' +
                ", authScreenSimpleData='" + authScreenSimpleData + '\'' +
                ", authMode=" + authMode +
                ", screenBack=" + screenBack +
                '}';
    }
}